<?php

require_once 'path_to_phpdocx';

$variables = array(
    'VAR_DATE'  => date("n/d/Y"),
    'VAR_NAME'  => $data['name'],
);
$docx->replaceVariableByText($variables);
$docx->replaceVariableByText($variables, array('target' => 'footer'));
$code = '<head>
            <style type="text/css">
                p{font-family: Arial;font-size:11pt;}
                li{font-family: Arial;font-size:11pt;}
            </style>
        </head>
        <body>' . $data['html'] . '</body>';
$docx->replaceVariableByHTML('VAR_DESCRIPTION', 'block', $code);
$docx->clearBlocks();
$suffix = md5(microtime());
$filename = 'demo_digsig_' . $suffix;
$docx->createDocx('output/' . $filename);

// sign document
$sign = new \SignDocx();
$sign->setDocx('output/' . $filename . '.docx');
// trim delete break line
$sign->setPrivateKey($this->baseCert . 'ssl.key', 'password');
$sign->setX509Certificate($this->baseCert . 'ssl.cert');
$sign->setSignatureComments('This document has been signed by The PHPDocX Team');
$sign->sign();